# OS_NS_sys_stat.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_stat.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_sys_stat.inl"`

Include dependency graph for OS_NS_sys_stat.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_OS

## A set of wrappers for low-level file operations.

ACE_NAMESPACE_INLINE_FUNCTION off_t | filesize (ACE_HANDLE handle)
ACE_NAMESPACE_INLINE_FUNCTION off_t | filesize (const ACE_TCHAR *handle)

## Defines

#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline

## Functions

ACE_NAMESPACE_INLINE_FUNCTION ACE_HANDLE | creat (const ACE_TCHAR *filename, mode_t mode)
ACE_NAMESPACE_INLINE_FUNCTION int | fstat (ACE_HANDLE, ACE_stat *)
ACE_NAMESPACE_INLINE_FUNCTION int | lstat (const char *, ACE_stat *)
ACE_NAMESPACE_INLINE_FUNCTION int | lstat (const wchar_t *, ACE_stat *)
ACE_NAMESPACE_INLINE_FUNCTION int | mkdir (const char *path, mode_t mode=ACE_DEFAULT_DIR_PERMS)
ACE_NAMESPACE_INLINE_FUNCTION int | mkdir (const wchar_t *path, mode_t mode=ACE_DEFAULT_DIR_PERMS)
ACE_NAMESPACE_INLINE_FUNCTION int | mkfifo (const ACE_TCHAR *file, mode_t mode=ACE_DEFAULT_FILE_PERMS)
ACE_NAMESPACE_INLINE_FUNCTION int | stat (const char *file, ACE_stat *)
ACE_NAMESPACE_INLINE_FUNCTION int | stat (const wchar_t *file, ACE_stat *)
ACE_NAMESPACE_INLINE_FUNCTION mode_t | umask (mode_t cmask)

## Variables

typedefACE_BEGIN_VERSIONED_NAMESPACE_DECL struct _stat | ACE_stat

## Detailed Description

Id
  OS_NS_sys_stat.h,v 1.10 2006/01/09 09:15:27 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_INLINE ACE_HANDLE ACE_OS::creat | ( | const ACE_TCHAR * | filename,
|  | mode_t | mode
| ) |

ACE_INLINE off_t ACE_OS::filesize | ( | const ACE_TCHAR * | handle | ) |

ACE_INLINE off_t ACE_OS::filesize | ( | ACE_HANDLE | handle | ) |

ACE_INLINE int ACE_OS::fstat | ( | ACE_HANDLE | ,
|  | ACE_stat * |
| ) |

ACE_INLINE int ACE_OS::lstat | ( | const wchar_t * | ,
|  | ACE_stat * |
| ) |

ACE_INLINE int ACE_OS::lstat | ( | const char * | ,
|  | ACE_stat * |
| ) |

ACE_INLINE int ACE_OS::mkdir | ( | const wchar_t * | path,
|  | mode_t | mode = `ACE_DEFAULT_DIR_PERMS`
| ) |

ACE_INLINE int ACE_OS::mkdir | ( | const char * | path,
|  | mode_t | mode = `ACE_DEFAULT_DIR_PERMS`
| ) |

ACE_INLINE int ACE_OS::mkfifo | ( | const ACE_TCHAR * | file,
|  | mode_t | mode = `ACE_DEFAULT_FILE_PERMS`
| ) |

ACE_INLINE int ACE_OS::stat | ( | const wchar_t * | file,
|  | ACE_stat * |
| ) |

ACE_INLINE int ACE_OS::stat | ( | const char * | file,
|  | ACE_stat * |
| ) |

ACE_INLINE mode_t ACE_OS::umask | ( | mode_t | cmask | ) |

## Variable Documentation

typedefACE_BEGIN_VERSIONED_NAMESPACE_DECL struct _stat ACE_stat